import { ApplicationService } from "../../ApplicationServices/Application";
import { EBoardKeyList } from "../../Common/BoardKeyList";
import { CADFiler } from "../../DatabaseServices/CADFiler";
import { Entity } from "../../DatabaseServices/Entity/Entity";
export declare let shareViewApp: ShareViewService;
export declare class ShareViewService extends ApplicationService {
    BoxCtrl: ShareService;
    constructor();
    protected InitService(): void;
    CreateDocument(name?: string): void;
    SendCameraPosToRenderer: () => void;
    LoadFile(f: CADFiler): Promise<void>;
}
export type CabinetInfo = {
    [EBoardKeyList.RoomName]?: string;
    [EBoardKeyList.CabinetName]?: string;
};
export interface ICabinetFormatData {
    [key: number]: ICabinetItemData[];
}
export interface ICabinetItemData {
    roomName: string;
    item: CabinetInfo;
    img: string;
    index: number;
}
export declare class ShareService {
    _CabinetList: CabinetInfo[];
    _CabinetDict: {
        [key: string]: Entity[];
    };
    _CabinetFormatData: ICabinetFormatData;
    get CabinetFormatData(): ICabinetFormatData;
    get CabinetList(): CabinetInfo[];
    Init(): void;
    SetCabinetVisible(cabinetIndex: number, visible: boolean): void;
    SetCabinetFormatData(data: ICabinetFormatData): void;
    GetCabinetEntities(cabinetIndex: number): Entity[];
    private GetEntityCabinetKey;
    private GetCabinetInfo;
}
//# sourceMappingURL=ShareViewService.d.ts.map