import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from '../../UI/Store/BoardStore';
import { ShareBoardInfConfigurationOption } from "../../UI/Store/OptionInterface/IOptionInterface";
interface IProps {
    showBom?: boolean | null;
}
interface IOperations {
    showDoor: boolean;
    showDrawer: boolean;
    showExplosion: boolean;
    showCustomNumber: boolean;
    showDimension: boolean;
    isDoorOpen: boolean;
}
export declare class ShareViewStore extends Singleton implements IConfigStore {
    CurSelectCabinetIndexs: number[];
    RoomName: string;
    SelectedBoard: Board;
    ViewIDErrorMsg: string;
    Theme: 'light' | 'dark' | string;
    ThemeLog: 'light' | 'dark' | string;
    Props: IProps;
    m_Option: ShareBoardInfConfigurationOption;
    viewUploadProps: ShareBoardInfConfigurationOption;
    configName: string;
    SaveConfig(): IConfigOption<import("../../UI/Store/OptionInterface/IOptionInterface").AnyObject>;
    configsNames: string[];
    InitOption(): void;
    UpdateOption(cof: IConfigOption<ShareBoardInfConfigurationOption>): void;
    /** 隐蔽组件按钮操作 */
    operations: IOperations;
}
export {};
//# sourceMappingURL=ShareViewStore.d.ts.map